<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.FASTER.Core" Version="2.6.1" />
        <PackageReference Include="Nostr.Client" Version="2.0.0" />
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\NostrRelay\NostrRelay.csproj" />
      <ProjectReference Include="..\NostrServices.Client\NostrServices.Client.csproj" />
    </ItemGroup>
</Project>
